Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class DelegateTaskCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Void>
              org.jbpm.services.task.commands.DelegateTaskCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Void>, Command<Void>

    public class DelegateTaskCommand

extends UserGroupCallbackTaskCommand<Void>

Operation.Delegate : [ new OperationCommand().{ status = [ Status.Ready ], allowed = [ Allowed.PotentialOwner, Allowed.BusinessAdministrator ], addTargetUserToPotentialOwners = true, newStatus = Status.Ready, exec = Operation.Claim }, new OperationCommand().{ status = [ Status.Reserved, Status.InProgress ], allowed = [ Allowed.Owner, Allowed.BusinessAdministrator ], addTargetUserToPotentialOwners = true, newStatus = Status.Ready, exec = Operation.Claim } ],

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`DelegateTaskCommand()`
`DelegateTaskCommand(long taskId, String userId, String targetEntityId)`

Method Summary
`Void` | `execute(org.kie.internal.command.Context cntxt)`

Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegateTaskCommand

    public DelegateTaskCommand()

### DelegateTaskCommand

    public DelegateTaskCommand(long taskId,
                               String userId,
                               String targetEntityId)

Method Detail

### execute

    public Void execute(org.kie.internal.command.Context cntxt)

  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<Void>`
  Overrides:
    `execute` in class `UserGroupCallbackTaskCommand<Void>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.